package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevCoord;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontPatDevCoordMapper {
    BasedataMontPatDevCoord selectBasedataMontPatDevCoordByMontPatDevCoordId(Long coordId);

    List<BasedataMontPatDevCoord> selectBasedataMontPatDevCoordList(BasedataMontPatDevCoord coord);

    int insertBasedataMontPatDevCoord(BasedataMontPatDevCoord coord);

    int updateBasedataMontPatDevCoord(BasedataMontPatDevCoord coord);

    int deleteBasedataMontPatDevCoordByMontPatDevCoordId(Long coordId);

    int deleteBasedataMontPatDevCoordByMontPatDevCoordIds(Long[] coordIds);
}
